
Redmine - Feature #19652

Ruby 2.2 support of Redmine 2.6 (Rails 3.2)

2015-04-17 11:48 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 2.6.6   

Resolution: Fixed   

Description

Rails team says if Rails 3.2.22 will be released, it includes Ruby 2.2 support.

https://github.com/rails/rails/pull/18306#issuecomment-69333576

Associated revisions

Revision 14181 - 2015-04-17 11:57 - Toshi MARUYAMA

2.6-stable: Gemfile: add gems to test group for Ruby 2.2 (#19652)

Revision 14320 - 2015-06-17 13:09 - Toshi MARUYAMA

2.6-stable: Gemfile: update Rails to 3.2.22

Revision 14321 - 2015-06-17 13:15 - Toshi MARUYAMA

2.6-stable: add Ruby 2.2 to .travis.yml (#19652)

History

#1 - 2015-04-17 11:49 - Toshi MARUYAMA

- Description updated

#2 - 2015-04-17 12:02 - Toshi MARUYAMA

You can run Redmine 2.6 on Ruby 2.2 with this change.

diff --git a/Gemfile b/Gemfile

--- a/Gemfile

+++ b/Gemfile

@@ -1,6 +1,6 @@

 source 'https://rubygems.org'

-gem "rails", "3.2.21" 

+gem "rails", :github => 'rails/rails', :branch => '3-2-stable'

 gem "jquery-rails", "~> 3.1.1" 

 gem "coderay", "~> 1.1.0" 

 gem "fastercsv", "~> 1.5.0", :platforms => [:mri_18, :mingw_18, :jruby]

#3 - 2015-06-17 13:10 - Toshi MARUYAMA

- Target version set to 2.6.6

#4 - 2015-06-20 06:25 - Toshi MARUYAMA

JPL, could you add Ruby 2.2 to CI Server?

#5 - 2015-06-28 10:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Added, thanks.
